DOMElement::setAttributeNodeNS
DOMElement::setIdAttribute
DOMElement
PHP Manual

# DOMElement::setAttributeNS

(PHP 5, PHP 7)

DOMElement::setAttributeNS — Adds new attribute

### Description

public void DOMElement::setAttributeNS ( string `$namespaceURI` , string `$qualifiedName` , string `$value` )

Sets an attribute with namespace `namespaceURI` and name `name` to the given value. If the attribute does not exist, it will be created.

### Parameters

`namespaceURI`

  The namespace URI.

`qualifiedName`

  The qualified name of the attribute, as prefix:tagname.

`value`

  The value of the attribute.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NAMESPACE_ERR`

  Raised if `qualifiedName` is a malformed qualified name, or if `qualifiedName` has a prefix and `namespaceURI` is `NULL`.

### See Also

- DOMElement::hasAttributeNS() - Checks to see if attribute exists
- DOMElement::getAttributeNS() - Returns value of attribute
- DOMElement::removeAttributeNS() - Removes attribute

DOMElement::setAttributeNodeNS
DOMElement::setIdAttribute
DOMElement
PHP Manual